### Property

# Ide Notification:progress

#### Declaration

    property progress: double [ read, write ]

#### Description

The “progress” property is a value between 0.0 and 1.0 describing the progress of the operation for which the notification represents.

This property is ignored if `IdeNotification:has-progress` is unset.

Type: | `gdouble`
Available since: | 3.32

Setter method | `ide_notification_set_progress()`
Getter method | `ide_notification_get_progress()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no